Skip to navigation

Upsert Assessment Packages [Batch]

View as Markdown
Partner Restricted

All assessment API endpoints are restricted to assessment providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This API endpoint allows assessment partners to insert or update multiple assessment packages in a single request within Paylocity’s platform. Each package is a curated collection of assessment tests, such as a series of tests tailored for different job roles.

Use Cases

  • Partner sends the initial status of the package and tests, i.e. Ordered and Pending
  • Bulk Operations: Enables partners to manage multiple packages at once, streamlining the process of updating or adding new assessments
  • Deactivation and Removal: Packages can be deactivated or scheduled for removal by setting appropriate status values and endDate
  • Company-Specific Offerings: Partners can target specific Paylocity clients by using the companyId in the URL, allowing for customized assessment packages for each company

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Headers

testModestringOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Request

This endpoint expects an object.

Response

Successful response